### Method

# Camel Store folder_renamed

since: 2.32

#### Declaration [src]

    void
    camel_store_folder_renamed (
      CamelStore* store,
      const gchar* old_name,
      CamelFolderInfo* folder_info
    )

#### Description [src]

Emits the `CamelStore::folder-renamed` signal from an idle source on the main loop. The idle source’s priority is #G_PRIORITY_HIGH_IDLE.

This function is only intended for Camel providers.

Available since: 2.32

#### Parameters

`old_name`

  Type: `const gchar*`

  The old name of the folder.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`folder_info`

  Type: `CamelFolderInfo`

  Information about the renamed folder.

  The data is owned by the caller of the method.